local module = {}

function module.new(this,display,context)
	this.screen = _G.GetInstance(display,"Screen")
	this.gui = _G.GetInstance(this.screen,"Gui")
	this.text = _G.GetInstance(this.gui,"Label")
	this.text.Text = "<b>PSx Display Driver 1.0</b>\nStandby for message..."
end

module.messages = {
	default = function(this,display,context,value)
		this.text.Text = tostring(value)
	end,
	color = function(this,display,context,value)
		pcall(function() this.text.TextColor3 = value end)
	end,
}

module.manifest = {
	"Display"
}

return module